Subject: bug#15788: 24.3.50; Can't change the default face's attributes

From: Jan Djärv <[email-masked]>
Date: Sat, 02 Nov 2013 14:15:07 +0100

Hello.

2013-11-02 13:49, Eli Zaretskii skrev:
>> Date: Sat, 02 Nov 2013 13:12:25 +0100
>> From: Jan Djärv <[email-masked]>
>> CC: [email-masked]
>>
>> What is the value of attrs[LFACE_DISTANT_FOREGROUND_INDEX])?
>
> I've shown it at the end of the backtrace I sent: the value is nil.

Sorry, missed that.
I've checked in a possible fix, can you try it?

Thanks,

	Jan D.

> Here:
>
>>>     #2  0x010d6a49 in check_lface_attrs (attrs=0x379ab54) at xfaces.c:1808
>>>     1808      eassert (UNSPECIFIEDP (attrs[LFACE_DISTANT_FOREGROUND_INDEX])
>>>     (gdb) l
>>>     1803               || IGNORE_DEFFACE_P (attrs[LFACE_INVERSE_INDEX])
>>>     1804               || SYMBOLP (attrs[LFACE_INVERSE_INDEX]));
>>>     1805      eassert (UNSPECIFIEDP (attrs[LFACE_FOREGROUND_INDEX])
>>>     1806               || IGNORE_DEFFACE_P (attrs[LFACE_FOREGROUND_INDEX])
>>>     1807               || STRINGP (attrs[LFACE_FOREGROUND_INDEX]));
>>>     1808      eassert (UNSPECIFIEDP (attrs[LFACE_DISTANT_FOREGROUND_INDEX])
>>>     1809               || IGNORE_DEFFACE_P (attrs[LFACE_DISTANT_FOREGROUND_INDEX])
>>>     1810               || STRINGP (attrs[LFACE_DISTANT_FOREGROUND_INDEX]));
>>>     1811      eassert (UNSPECIFIEDP (attrs[LFACE_BACKGROUND_INDEX])
>>>     1812               || IGNORE_DEFFACE_P (attrs[LFACE_BACKGROUND_INDEX])
>>>     (gdb) p attrs[LFACE_DISTANT_FOREGROUND_INDEX]
>>>     $1 = 56191002
>>>     (gdb) xtype
>>>     Lisp_Symbol
>>>     (gdb) xsymbol
>>>     $2 = (struct Lisp_Symbol *) 0x3596818
>>>     "nil"